<%@ page import="java.util.Map" %>
<%@ page import="java.util.HashMap" %>
<%@ taglib prefix="vodori" uri="http://www.vodori.com/vodori_cms_tags" %>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>


<html>
<head><title>Reflective Tag Test</title></head>
<body>

<%
	// could pull the map from anywhere, but we'll define it here
	Map map = new HashMap();
	map.put("red", 80);
	map.put("green", 60);
	map.put("blue", -60);
	pageContext.setAttribute("map", map);

	// String array, to show that el can be processed in the tag.
	pageContext.setAttribute("strings", new String[]{"Galaxy","Solar System","World"});
%>


<b>Original:</b><br/>
<center>
	<h1 style="color: #CC0033;">Hello Galaxy!</h1>
	<h2 style="color: #3300AA;">Hello ${strings[1]}</h2>
	<h3 style="color: #10CC30;">Hello World!</h3>
</center>

<br/><br/>
<b>Modified:</b><br/>
<vodori:reflective handler="com.vodori.cms.component.navigation.tag.ColorFilterTag" attributes="${map}">
	<center>
		<h1 style="color: #CC0033;">Hello ${strings[0]}!</h1>
		<h2 style="color: #3300AA;">Hello Solar System!</h2>
		<h3 style="color: #10CC30;">Hello World!</h3>
	</center>
</vodori:reflective>
</body>
</html>